Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List product drafts

Lists product drafts with pagination.

GET/api/v2/{team_slug}/{app_slug}/products/drafts
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Query parameters
pageinteger
per-pageinteger
product-idstring[]

Repeatable product id filter

Responses
200

OK

dataProductDraft[]required
Show properties
Array of ProductDraft
idUUIDrequired
app_idUUIDrequired
product_idUUIDrequired
changesetProductDraftChangeset | null
Show properties
Any of:
ProductDraftChangeset
namestring
descriptionstring
html_descriptionstring
short_descriptionstring
html_short_descriptionstring
meta_titlestring
meta_descriptionstring
categoriesProductDraftCategoryRef[]
Show properties
Array of ProductDraftCategoryRef
idUUIDrequired
orderinteger
is_main_categoryboolean
collectionsUUID[]
tagsProductDraftTagRef[]
Show properties
Array of ProductDraftTagRef
keystringrequired
orderinteger
imagesProductDraftImageRef[]
Show properties
Array of ProductDraftImageRef
idUUIDrequired
priorityinteger
attributesUUID[]
null
null
publish_atstring<date-time> | null
created_atstring<date-time>required
updated_atstring<date-time> | null
total_pagesintegerrequired
total_itemsintegerrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/products/drafts' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
      "changeset": {
        "name": "string",
        "description": "string",
        "html_description": "string",
        "short_description": "string",
        "html_short_description": "string",
        "meta_title": "string",
        "meta_description": "string",
        "categories": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "order": 0,
            "is_main_category": true
          }
        ],
        "collections": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ],
        "tags": [
          {
            "key": "string",
            "order": 0
          }
        ],
        "images": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "priority": 0
          }
        ],
        "attributes": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ]
      },
      "publish_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}